Subject: bug#25360: File mode specification errors during building

From: Eli Zaretskii <[email-masked]>
Date: Thu, 19 Jan 2017 18:05:07 +0200

> From: [email-masked] (Phillip Lord)
> Cc: Glenn Morris <[email-masked]>,  [email-masked],  Eli Zaretskii <[email-masked]>
> Date: Thu, 19 Jan 2017 10:45:51 +0000
> 
> > I believe it does respect "coding:" in general (at least it looks like
> > there are some comments to that effect in Finsert_file_contents), but
> > indeed it doesn't matter in this case because we're let-binding
> > `coding-system-for-read' which overrides that.
> 
> I have checked this now with a full bootstrap and it appears not to
> work, unfortunately -- the .el files that are generated are broken (this
> isn't obvious until they fail to byte-compile -- you have let the build
> complete).

Every file is broken, or just some of them?  If the latter, can you
name some of them, or try to figure out what they have in common?